## org.hibernate.id
Class AbstractPostInsertGenerator

    java.lang.Object
      org.hibernate.id.AbstractPostInsertGenerator

All Implemented Interfaces:
  IdentifierGenerator, PostInsertIdentifierGenerator

Direct Known Subclasses:
  IdentityGenerator, SelectGenerator

    public abstract class AbstractPostInsertGenerator

extends Object
implements PostInsertIdentifierGenerator

Basic implementation of the `PostInsertIdentifierGenerator` contract.

Author:
  Gavin King

Field Summary

Fields inherited from interface org.hibernate.id.IdentifierGenerator
`ENTITY_NAME`

Constructor Summary
`AbstractPostInsertGenerator()`

Method Summary
`Serializable` `generate(SessionImplementor s, Object obj)` Generate a new identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.id.PostInsertIdentifierGenerator
`getInsertGeneratedIdentifierDelegate`

Constructor Detail

### AbstractPostInsertGenerator

    public AbstractPostInsertGenerator()

Method Detail

### generate

    public Serializable generate(SessionImplementor s,
                                 Object obj)

  Generate a new identifier.

  Specified by:
    `generate` in interface `IdentifierGenerator`
    `obj` - the entity or toplevel collection for which the id is being generated
  Returns:
    a new identifier

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.